Souvent, après une mise à jour de firefox, certaines extension se retrouvent désactivées pour faute de compatibilité.
Pourtant seulement quelques extension sont réellement incompatibles.
Voici une méthode pour forcer la compatibilité.

Attention toutefois, si l'extension était réellement incompatible, faire cette manipulation peu entrainer une erreur de chargement de firefox (un grand bandeau gris avec une erreur XML en rouge) ou pire, empêcher le lancement de firefox.
Dans ce cas, lancez le en \”safe mode\” et désinstallez l'extension en cause.

Méthode

1 - installez 7Zip sur votre ordinateur.
2 - Maintenant télécharger le fichier XPI de l'extension incompatible.
Il faut savoir qu'un fichier XPI n'est rien d'autre qu'un fichier ZIP.
3 - Ouvrez donc le fichier XPI avec 7Zip.
Vous remarquez un fichier nommé “install.rdf”.
4 - Double cliquez ce fichier et ouvrez le avec le bloc-notes (ou tout autre éditeur).
les fichier RDF sont en fait des fichiers XML
5 - Dans ce fichier recherchez la chaine “em:maxVersion” et remplacer la chaine par une version supérieure ou égale à la votre.
ex : <em:maxVersion>1.0</em:maxVersion> deviendrais <em:maxVersion>1.6</em:maxVersion> pour que cela marche sur firefox 1.5. 6 - Enregistrez maintenant ce fichier et fermez le.
7Zip va vous informer que le ficher a été modifié et va vous demandez si vous désirez mettre a jour l'archive.
Cliquez sur “oui”.

Et voila, maintenant vous pouvez installer votre extension sans aucun soucis :)


iDo 23/12/2005 23:19